首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Node.js
Express
PPA for Ubuntu
ppa:chris-lea/node.js
vevlins
V2EX  ›  Node.js

package-lock.json 与 ^~等版本控制方法是违背的吗?

  •  
  •   vevlins · 54 天前 · 3862 次点击
    这是一个创建于 54 天前的主题,其中的信息可能已经有所发展或是发生改变。

    把 package-lock.json 加入版本控制之后,^~也没什么意义了吧?

    5 条回复    2020-06-13 10:57:01 +08:00
    tyx1703
        1
    tyx1703   54 天前
    包也要更新的呀
    littleshy
        2
    littleshy   54 天前
    哈哈,所以就感觉 npm 的包管理简直乱七八糟啊。
    不过现在整个行业就是这样:
    咦这有个坑,那边挖点土来填吧。
    靠,现在有两个坑了……
    betulac
        3
    betulac   54 天前
    ^~这个本身不确定性太高,最大的作用可能在于自动修复引用的包 bug 吧
    llb123
        4
    llb123   53 天前
    被这个 lock 坑了好几次
    wisetc
        5
    wisetc   24 天前 via iPhone
    lock 不光是锁版本,还锁 registry
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   4279 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 24ms · UTC 01:30 · PVG 09:30 · LAX 18:30 · JFK 21:30
    ♥ Do have faith in what you're doing.